:root {
  --background-color: #f8f9fa;
}

html {
  font-size: 14px;
}

@media (min-width: 768px) {
  html {
    font-size: 16px;
  }
}

.btn:focus,
.btn:active:focus,
.btn-link.nav-link:focus,
.form-control:focus,
.form-check-input:focus {
  box-shadow: 0 0 0 0.1rem white, 0 0 0 0.25rem #258cfb;
}

html {
  position: relative;
  min-height: 100%;
}

body {
  margin-bottom: 60px;
  background-color: var(--background-color);
}

.has-danger .form-control-feedback,
.has-danger .form-control-label,
.has-danger .form-check-label,
.has-danger .form-check-inline,
.has-danger .custom-control {
  color: #d9534f;
}

.has-danger .form-control {
  border-color: #d9534f;
}

.has-danger .form-control:focus {
  -webkit-box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075), 0 0 6px #eba5a3;
  box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075), 0 0 6px #eba5a3;
}

.has-danger .input-group-addon {
  color: #d9534f;
  border-color: #d9534f;
  background-color: #fdf7f7;
}

.has-danger .form-control-danger {
  background-image: url("data:image/svg+xml;charset=utf8,%3Csvg xmlns='http://www.w3.org/2000/svg' fill='#d9534f' viewBox='-2 -2 7 7'%3E%3Cpath stroke='%23d9534f' d='M0 0l3 3m0-3L0 3'/%3E%3Ccircle r='.5'/%3E%3Ccircle cx='3' r='.5'/%3E%3Ccircle cy='3' r='.5'/%3E%3Ccircle cx='3' cy='3' r='.5'/%3E%3C/svg%3E");
}

.detail-row {
  width: 750px;
  flex: 0 0 auto;
}

.detail-row .btn {
  width: 25px;
}

.detail-row-info label {
  font-size: 12px;
}

.detail-row-info label span {
  font-weight: bolder;
}

.form-group div .col-form-label {
  font-size: 12px;
}

.productTable .edit-col,
.pricesTable .edit-col {
  width: 85px;
}

.productTable .btn-group,
.pricesTable .btn-group {
  height: 25px;
}

.productTable button,
.pricesTable button {
  margin-right: 1px;
}

.productTable tr:hover button,
.pricesTable tr:hover button {
  display: inline-block;
}

.productTable tbody button,
.pricesTable tbody button {
  display: none;
  padding-top: 0px;
  padding-bottom: 0px;
}

.pricesTable input.form-control {
  border: 1px lightgray solid;
  width: 90px;
  padding: 0px;
  min-height: 0px;
}

.editModel {
  display: none;
}

.accordion-item {
  border: 0;
}

.accordion-button {
  background-color: var(--background-color);
}

#calculatorForm .form-group label.col-form-label {
  font-weight: bold;
}

#calculatorForm .form-group div label.col-form-label {
  font-weight: normal;
}

#calculatorForm .form-group.mb-1 {
  margin-top: 15px;
}

#calculatorForm .accordion-item {
  border: 0;
}

#calculatorForm .accordion-button {
  padding-left: 0;
  text-decoration: underline;
}

.result-header {
  text-decoration: underline;
}

.result-row {
  padding: 1px;
}

.result-total-row {
  font-weight: bolder;
}

/* Chrome, Safari, Edge, Opera */
input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

/* Firefox */
input[type=number] {
  -moz-appearance: textfield;
}

#result table {
  font-size: 13px;
}

#result .product-row td:first-child {
  padding-left: 10px;
  text-decoration: underline;
}

.request-details .row {
  margin-top: 10px;
}

.request-details a {
  color: black;
}

.request-details label.col-form-label {
  font-weight: bold;
}

.select2-container--default .select2-results>.select2-results__options {
  max-height: 350px !important;
}

.select2-container--default .select2-results>.select2-results__options li {
  font-size: .875rem;
  padding: 4px 8px;
}

span.select2-container {
  display: block;
}

/* #react-select-2-listbox */
div[id*="listbox"] div[class*="option"] {
  font-size: .875rem;
  padding: 4px 8px;
}